import 'package:big/big.dart';
import 'dart:html';

TextAreaElement ta;

void TextAreaElementOnChange(Event event){
  ta.style.height = '24px';
  ta.style.height = (ta.scrollHeight + 12).toString() + 'px';
  ta.style.width=ta.scrollWidth.toString()+'px';
}//end function

void main(){
  ta = new TextAreaElement();
  ta.wrap='off';
  ta.onChange.listen(TextAreaElementOnChange);
  document.body.append(ta);
  ta.text+='\n'+BigNumber.config({ 'EXPONENTIAL_AT' : [-120,120], 'DECIMAL_PLACES' : 120, 'ROUNDING_MODE' : 8 }).toString();
  TextAreaElementOnChange(new Event(''));
  ta.text+='\n'+BigNumber.config({ 'EXPONENTIAL_AT' : 12, 'DECIMAL_PLACES' : 120, 'ROUNDING_MODE' : 8, 'RANGE': [-324, 308]}).toString();
  TextAreaElementOnChange(new Event(''));
  ta.text+='\n'+BigNumber.config({ 'EXPONENTIAL_AT' : [-1e+9, 1e+9], 'DECIMAL_PLACES' : 120, 'ROUNDING_MODE' : 8 }).toString();
  TextAreaElementOnChange(new Event(''));
  ta.text+='\n'+BigNumber.test();
  BigNumber bn = new BigNumber('12345678901234567890.12345678901234567890');
  ta.text+='\n\n'+bn.toString();
  TextAreaElementOnChange(new Event(''));
}//end main